<?php
namespace Entity;

class QuizEntity
{

    public int $id_quiz;

    public int $nb_quest;

    public string $imgPath;

    public string $title;

    /**
     * @param int $id_quiz
     * @param int $nb_quest
     * @param string $imgPath
     * @param string $title
     */
    public function __construct(int $id_quiz, int $nb_quest, string $imgPath, string $title)
    {
        $this->id_quiz = $id_quiz;
        $this->nb_quest = $nb_quest;
        $this->imgPath = $imgPath;
        $this->title = $title;
    }

    /**
     * @return int
     */
    public function getIdQuiz(): int
    {
        return $this->id_quiz;
    }

    /**
     * @param int $id_quiz
     */
    public function setIdQuiz(int $id_quiz): void
    {
        $this->id_quiz = $id_quiz;
    }

    /**
     * @return int
     */
    public function getNbQuestions(): int
    {
        return $this->nb_quest;
    }

    /**
     * @param int $nb_quest
     */
    public function setNbQuestions(int $nb_quest): void
    {
        $this->nb_quest = $nb_quest;
    }

    /**
     * @return string
     */
    public function getIdImg(): string
    {
        return $this->imgPath;
    }

    /**
     * @param string $imgPath
     */
    public function setIdImg(string $imgPath): void
    {
        $this->imgPath = $imgPath;
    }

    /**
     * @return string
     */
    public function getTitle(): string
    {
        return $this->title;
    }

    /**
     * @param string $title
     */
    public function setTitle(string $title): void
    {
        $this->title = $title;
    }
}
